Subject: bug#9031: Installed rest of patch

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Jul 2011 22:36:14 -0700

>> I ask because I have some integer-overflow-and-signedness-related
>> cleanups and bug-fixes in my private copy...
> Put them somewhere.  But I suspect that it'll be easier to re-do them
> than to merge the current patch several months from now, so it's
> probably important to store somewhere the "how did I come up with this
> patch" along with the patch.

Unfortunately the answer to "how did I come up with this patch?" is,
"I read the Emacs source code carefully and found dozens of problems".
It was done all by hand.

As the patch in question should be entirely a bug-fix patch, and should
not add any features or establish any new dependencies on system functions,
I'm hoping that it will be preferable to put it on the trunk now rather than
months from now.  But we can cross that bridge once the patch is ready
and you have a chance to look at it.

It sounds like an Emacs bug report is the next step to take in publishing the
patch, so I'll work on putting that together.  I had hoped to do a complete sweep
of the Emacs source code before publishing the patch, but given the above
it sounds like I should publish what I have now, as there's
little sense finding and fixing more bugs if I'll have to do it all
over again in 2012.